<!-- ---------------------------------------------------------
  --
  -- Author: 1q74.tistory.com
  --
  --------------------------------------------------------- -->
<!doctype html>
<html lang="ko">
<head>
<meta charset="utf-8">
<title>[1q74.tistory.com] javascript/jquery/selector/nth-child</title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
</head>
<body>

	<div name="_1q74-example-root">
		<div name="_1q74-example-1">
			<table border="1">
				<tr>
					<td>child#1-1</td>
					<td>child#1-2</td>
					<td>child#1-3</td>
					<td>child#1-3</td>
				</tr>
				<tr>
					<td>child#2-1</td>
					<td>child#2-2</td>
					<td>child#2-3</td>
					<td>child#2-4</td>
				</tr>
				<tr>
					<td>child#3-1</td>
					<td>child#3-2</td>
					<td>child#3-3</td>
					<td>child#3-4</td>
				</tr>
			</table>
		</div>

		<div name="_1q74-example-bottom">
			<br/>
			<button name="btn-child-2">#1. $("[name='_1q74-example-1'] td:nth-child(2)")</button><br/>
			<button name="btn-child-even">#2. $("[name='_1q74-example-1'] td:nth-child(even)")</button><br/>
			<button name="btn-child-odd">#3. $("[name='_1q74-example-1'] td:nth-child(odd)")</button><br/>
			<button name="btn-child-3n-1">#4. $("[name='_1q74-example-1'] td:nth-child(3n+1)")</button>
		</div>
	</div>

	<hr/>
	<h5>[HTML Code]</h5>
	<div name="_1q74-source">
	</div>
	<h5>[//HTML Code]</h5>

<script>
var btnContainer = $("[name='_1q74-example-bottom']");
var btnChild2 = btnContainer.find("[name='btn-child-2']");
var btnChildEven = btnContainer.find("[name='btn-child-even']");
var btnChildOdd = btnContainer.find("[name='btn-child-odd']");
var btnChild3n1 = btnContainer.find("[name='btn-child-3n-1']");

var child2 = $("[name='_1q74-example-1'] td:nth-child(2)");
var childEven = $("[name='_1q74-example-1'] td:nth-child(even)");
var childOdd = $("[name='_1q74-example-1'] td:nth-child(odd)");
var child3n1= $("[name='_1q74-example-1'] td:nth-child(3n+1)");

btnChild2.click(function() {
	if(!child2.is("[style]")) {
		child2.css("background", "#AE5907");
	} else {
		child2.removeAttr("style");
	}
});

btnChildEven.click(function() {
	if(!childEven.is("[style]")) {
		childEven.css("background", "#07AE3A");
	} else {
		childEven.removeAttr("style");
	}
});

btnChildOdd.click(function() {
	if(!childOdd.is("[style]")) {
		childOdd.css("background", "#02764C");
	} else {
		childOdd.removeAttr("style");
	}
});

btnChild3n1.click(function() {
	if(!child3n1.is("[style]")) {
		child3n1.css("background", "#95A8E4");
	} else {
		child3n1.removeAttr("style");
	}
});

// ------------------------------------------------------
// 소스출력
// ------------------------------------------------------
var textSource = $("[name='_1q74-source']");
var exampleHtml = $("[name='_1q74-example-root']").html();
var specialCharLines = textSource.text(exampleHtml).html().split("\n");

textSource.html(specialCharLines.join("<br/>").replaceAll("\t", "&nbsp;&nbsp;"));
</script>
<style>
[name="_1q74-example-root"] {
	min-height: 170px;
}

[name="_1q74-example-1"] {
	min-height: 140px;
}

[name="_1q74-example-root"] [type="image"]{
	width: 100px;
}

[name="_1q74-example-1"] td {
	min-width: 100px;
	min-height: 30px;
}

[name|="_1q74-example"] button
,[name="_1q74-source"] button {
	background: lightgray;
	border: 5px outset;
	min-height: 30px;
}

[name|="_1q74-example"] button:active
,[name="_1q74-source"] button:active {
	border: 2px inset;
	min-height: 30px;
}
</style>

</body>
</html>
